This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 998657 - Poor recognition of the ACER x243HQ monitor on fedora 19
Poor recognition of the ACER x243HQ monitor on fedora 19
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 13:41 EDT by Patrick MARIE
Modified: 2015-01-11 08:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-11 08:44:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick MARIE 2013-08-19 13:41:11 EDT
Description of problem: 
After installation with DVD Fedora 19 X86_64 my monitor ACER x243HQ works with only 1280x1024 résolution because the driver used is Gallium 0.4 on llvmpipe (LLVM 3.3, 128 bits).

My configuration at this time :
5.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RS780L [Radeon 3000]
model name      : AMD Athlon(tm) II X2 245 Processor
cpu MHz         : 2200.000
model name      : AMD Athlon(tm) II X2 245 Processor
cpu MHz         : 800.000
  dimensions:    1280x1024 pixels (524x292 millimeters)
  depth of root window:    24 planes
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.4
--
OpenGL vendor string: VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 3.3, 128 bits)
OpenGL version string: 2.1 Mesa 9.2.0-devel
OpenGL shading language version string: 1.30
OpenGL extensions:
    GL_AMD_conservative_depth, GL_AMD_draw_buffers_blend, 
    GL_ANGLE_texture_compression_dxt3, GL_ANGLE_texture_compression_dxt5, 
Linux 3.10.5-201.fc19.x86_64

After lot of searches and reinstalation, I decided to reinstall F19 with a Hyandaï 19" monitor and Gnome live CD. The installation was success. Then I swapped Hyundaï monitor by my Acer monitor. Now, it works fine with 1920x1080 60hz résolution and free ATI driver.

My configuration now :
5.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RS780L [Radeon 3000]
model name	: AMD Athlon(tm) II X2 245 Processor
cpu MHz		: 800.000
model name	: AMD Athlon(tm) II X2 245 Processor
cpu MHz		: 800.000
  dimensions:    1920x1080 pixels (508x285 millimeters)
  depth of root window:    24 planes
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.4
--
OpenGL vendor string: X.Org
OpenGL renderer string: Gallium 0.4 on AMD RS780
OpenGL core profile version string: 3.1 (Core Profile) Mesa 9.2.0-devel
OpenGL core profile shading language version string: 1.40
OpenGL core profile context flags: (none)
OpenGL core profile extensions:
    GL_AMD_conservative_depth, GL_AMD_draw_buffers_blend, 
    GL_AMD_shader_stencil_export, GL_ARB_ES2_compatibility, 
--
OpenGL version string: 3.0 Mesa 9.2.0-devel
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:
    GL_AMD_conservative_depth, GL_AMD_draw_buffers_blend, 
    GL_AMD_shader_stencil_export, GL_APPLE_packed_pixels, 
Linux 3.10.7-200.fc19.x86_64


Actual results:
With this method, it works but it's not the best.

Expected results:
Best integration of Acer monitor.

Additional info:
Comment 1 Fedora End Of Life 2015-01-09 14:31:15 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Patrick MARIE 2015-01-11 08:44:47 EST
Hello,
I agree to close this old incident.
Best Regards

Note You need to log in before you can comment on or make changes to this bug.